{
	"name": "form/nc/erp-sync/ksef/column/session-status.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"info": "referenceNumber",
			"field": "prf.name_id",
			"name": "Reference",
			"width": 320
		},
		{
			"change_compare": false,
			"info": "dateCreated",
			"field": "prf.json_data.date_created",
			"type": "datetime",
			"name": "Created",
			"width": 255
		},
		{
			"change_compare": false,
			"info": "validUntil",
			"field": "prf.json_data.valid_until",
			"type": "datetime",
			"name": "Valid Until",
			"width": 255
		},
		{
			"change_compare": false,
			"info": "totalInvoiceCount",
			"field": "prf.json_data.total_invoice_count",
			"name": "Total",
			"width": 60
		},
		{
			"change_compare": false,
			"info": "successfulInvoiceCount",
			"field": "prf.json_data.successful_invoice_count",
			"name": "OK",
			"width": 60
		},
		{
			"change_compare": false,
			"info": "failedInvoiceCount",
			"field": "prf.json_data.failed_invoice_count",
			"name": "Fail",
			"width": 60
		},
		{
			"change_compare": false,
			"info": "statusDetail",
			"field": "prf.json_data.status_detail",
			"name": "Status",
			"width": 100
		},
		{
			"change_compare": false,
			"field": "prf.json_data",
			"name": "Data",
			"width": 1400
		}
	]
}
